Bug 1464939 - [RFE] configure heketi-cli after cns cluster setup using openshift-ansile install method
[RFE] configure heketi-cli after cns cluster setup using openshift-ansile ins...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.6.z
Assigned To: Paul Weil
Xiaoli Tian
aos-scalability-36
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 05:27 EDT by Elvir Kuric
Modified: 2017-08-18 06:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elvir Kuric 2017-06-26 05:27:12 EDT
Description of problem:

heketi-cli does not work after ansible installation of cns cluster 

Version-Release number of selected component (if applicable):

OCP v3.6 and latest upstrem openshift-ansible 

How reproducible:

2 of 2 tries 



[glusterfs] 
node1
node2 
node3 

Steps to Reproduce:


install cns cluster as part of openshift-cluster installation 

specify ansible variables in ansible file : 

glusterfs_devices=["/dev/device"]
openshift_storage_glusterfs_wipe=true
openshift_storage_glusterfs_image=rhgs3/rhgs-server-rhel7
openshift_storage_glusterfs_version=3.3.0-4
openshift_storage_glusterfs_heketi_version=3.3.0-1



Actual results:
after installation heketi-cli volume list ( or any other heketi-cli ) command will not work 

Expected results:

heketi-cli volume list to work 

Additional info:
Comment 7 Scott Dodson 2017-08-17 10:10:21 EDT
Elvir can you check the needinfo?

Note You need to log in before you can comment on or make changes to this bug.